Index: src/main/java/com/example/autopartz/controller/HomeController.java
===================================================================
--- src/main/java/com/example/autopartz/controller/HomeController.java	(revision 60de3eb30a33d09f7332ce3daf2fdef34340c353)
+++ src/main/java/com/example/autopartz/controller/HomeController.java	(revision 6832924aea48cf018493a76963bd8f3ed906c750)
@@ -3,4 +3,5 @@
 import com.example.autopartz.model.User;
 import com.example.autopartz.repository.PartsForCarTypeAndCategoryRepository;
+import com.example.autopartz.repository.RepairShopReviewSummaryRepository;
 import com.example.autopartz.service.CarService;
 import com.example.autopartz.service.CategoryService;
@@ -22,6 +23,7 @@
     private final CarService carService;
     private final CategoryService categoryService;
+    private final RepairShopReviewSummaryRepository repairShopReviewSummaryRepository;
 
-    public HomeController(LoginService loginService, PartService partService, PartsForCarTypeAndCategoryRepository partsForCarTypeAndCategoryRepository, CarService carService, CategoryService categoryService) {
+    public HomeController(LoginService loginService, PartService partService, PartsForCarTypeAndCategoryRepository partsForCarTypeAndCategoryRepository, CarService carService, CategoryService categoryService, RepairShopReviewSummaryRepository repairShopReviewSummaryRepository) {
         this.loginService = loginService;
         this.partService = partService;
@@ -29,12 +31,24 @@
         this.carService = carService;
         this.categoryService = categoryService;
+        this.repairShopReviewSummaryRepository = repairShopReviewSummaryRepository;
     }
 
     @GetMapping()
     public String getHomePage(Model model){
+        model.addAttribute("bodyContent","home");
+        return "master-template";
+    }
+    @GetMapping("/products")
+    public String getProducts(Model model){
         model.addAttribute("parts",partService.findAll());
         model.addAttribute("cars",carService.findAll());
         model.addAttribute("categories",categoryService.findAll());
-        model.addAttribute("bodyContent","homepage");
+        model.addAttribute("bodyContent","products");
+        return "master-template";
+    }
+    @GetMapping("/services")
+    public String getServices(Model model){
+        model.addAttribute("services",repairShopReviewSummaryRepository.findAll());
+        model.addAttribute("bodyContent","services");
         return "master-template";
     }
Index: src/main/java/com/example/autopartz/controller/UserController.java
===================================================================
--- src/main/java/com/example/autopartz/controller/UserController.java	(revision 60de3eb30a33d09f7332ce3daf2fdef34340c353)
+++ src/main/java/com/example/autopartz/controller/UserController.java	(revision 6832924aea48cf018493a76963bd8f3ed906c750)
@@ -15,19 +15,12 @@
 public class UserController {
     private final UserService userService;
-    private final RepairShopReviewSummaryRepository repairShopReviewSummaryRepository;
-
     private final OrdersForUserRepository ordersForUserRepository;
     private final RepairsForUserRepository repairsForUserRepository;
     private final ReviewsForUserRepository reviewsForUserRepository;
-    public UserController(UserService userService, RepairShopReviewSummaryRepository repairShopReviewSummaryRepository, OrdersForUserRepository ordersForUserRepository, RepairsForUserRepository repairsForUserRepository, ReviewsForUserRepository reviewsForUserRepository) {
+    public UserController(UserService userService, OrdersForUserRepository ordersForUserRepository, RepairsForUserRepository repairsForUserRepository, ReviewsForUserRepository reviewsForUserRepository) {
         this.userService = userService;
-        this.repairShopReviewSummaryRepository = repairShopReviewSummaryRepository;
         this.ordersForUserRepository = ordersForUserRepository;
         this.repairsForUserRepository = repairsForUserRepository;
         this.reviewsForUserRepository = reviewsForUserRepository;
-    }
-    @GetMapping("reportTest")
-    public List<RepairShopReviewsSummary> getRepairShopReport(){
-        return repairShopReviewSummaryRepository.findAll();
     }
     @GetMapping("usersTest")
